Namespace UTSModule.Station
    Public Class RowNodeChangedEventArgs
        Inherits EventArgs

        Enum RowNodeChangeType
            None
            RowType
            Action
            SaveToDb
            RecordName
            Retry
            RetryInterval
            [Label]
            ControlType
            Description
            ErrorCode
            ErrorMessage
            CommandType
            Command
            Parameters
        End Enum

        ''' <summary>
        ''' 修改后的节点
        ''' </summary>
        ''' <returns></returns>
        Public Property Node() As RowNode

        ''' <summary>
        ''' 修改前的节点
        ''' </summary>
        ''' <returns></returns>
        Public Property BeforeNode() As RowNode


        ''' <summary>
        ''' 修改类型
        ''' </summary>
        ''' <returns></returns>

        Public Property ChangeType() As RowNodeChangeType
    End Class



End Namespace